# The active animation
# none   -> Nothing (default)
# doom   -> PSX DOOM fire
# matrix -> CMatrix
animation = none

# Format string for clock in top right corner (see strftime specification). Example: %c
clock = %H:%M:%S

# Enable/disable big clock
bigclock = false

# The character used to mask the password
asterisk = *

# Erase password input on failure
clear_password = true

# Enable vi keybindings
vi_mode = false

# The `fg` and `bg` color settings take a digit 0-8 corresponding to:
#define TB_DEFAULT 0x00
#define TB_BLACK   0x01
#define TB_RED     0x02
#define TB_GREEN   0x03
#define TB_YELLOW  0x04
#define TB_BLUE    0x05
#define TB_MAGENTA 0x06
#define TB_CYAN    0x07
#define TB_WHITE   0x08
#
# Setting both to zero makes `bg` black and `fg` white. To set the actual color palette you are encouraged to use another tool
# such as [mkinitcpio-colors](https://github.com/evanpurkhiser/mkinitcpio-colors). Note that the color palette defined with
# `mkinitcpio-colors` takes 16 colors (0-15), only values 0-8 are valid for `ly` config and these values do not correspond
# exactly. For instance, in defining palettes with `mkinitcpio-colors` the order is black, dark red, dark green, brown, dark
# blue, dark purple, dark cyan, light gray, dark gray, bright red, bright green, yellow, bright blue, bright purple, bright
# cyan, and white, indexed in that order 0 through 15. For example, the color defined for white (indexed at 15 in the mkinitcpio
# config) will be used by `ly` for `fg = 8`.

# Background color id
bg = 0

# Foreground color id
fg = 8

# Border color
border_fg = 8

# Title to show at the top of the main box
box_title = Please leave!

# Initial text to show on the info line (Defaults to hostname)
initial_info_text = null

# Blank main box background
# Setting to false will make it transparent
blank_box = true

# Remove main box borders
hide_borders = false

# Main box margins
margin_box_h = 2
margin_box_v = 1

# Input boxes length
input_len = 34

# Max input sizes
max_desktop_len = 100
max_login_len = 255
max_password_len = 255

# Input box active by default on startup
# Available inputs: session, login, password
default_input = password

# Load the saved desktop and username
load = true

# Save the current desktop and login as defaults
save = true

# Deprecated - Will be removed in a future version
# New save files are now loaded from the same directory as the config
# Currently used to migrate old save files to the new version
# File in which to save and load the default desktop and login
save_file = /etc/ly/save

# Remove power management command hints
hide_key_hints = false

# Specifies the key used for shutdown (F1-F12)
shutdown_key = F1

# Specifies the key used for restart (F1-F12)
restart_key = F2

# Specifies the key used for sleep (F1-F12)
sleep_key = F3

# Command executed when pressing shutdown_key
shutdown_cmd = /sbin/shutdown -a now

# Command executed when pressing restart_key
restart_cmd = /sbin/shutdown -r now

# Command executed when pressing sleep key (can be null)
sleep_cmd = null

# Active language
# Available languages are found in /etc/ly/lang/
lang = en

# TTY in use
tty = 2

# Console path
console_dev = /dev/console

# Default path. If null, ly doesn't set a path.
path = /sbin:/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin

# Event timeout in milliseconds
min_refresh_delta = 5

# Set numlock on/off at startup
numlock = false

# Service name (set to ly to use the provided pam config file)
service_name = ly

# Terminal reset command (tput is faster)
term_reset_cmd = /usr/bin/tput reset

# Terminal restore cursor command
term_restore_cursor_cmd = /usr/bin/tput cnorm

# Cookie generator
mcookie_cmd = /usr/bin/mcookie

# Wayland setup command
wayland_cmd = /etc/ly/wsetup.sh

# Wayland desktop environments
waylandsessions = /usr/share/wayland-sessions

# xinitrc (hidden if null)
xinitrc = ~/.xinitrc

# Xorg server command
x_cmd = /usr/bin/X

# Xorg setup command
x_cmd_setup = /etc/ly/xsetup.sh

# Xorg xauthority edition tool
xauth_cmd = /usr/bin/xauth

# Xorg desktop environments
xsessions = /usr/share/xsessions
